/*
	$Id: clamav_config.h 295 2005-05-13 14:58:27Z crosser $

	$Log: clamav_config.h,v $
	Revision 1.1  2004/12/14 00:25:34  crosser
	make configuration: options, limits etc.
	
*/

/*
	WHAT IS IT:
		modularized contentfilter for Zmailer
	COPYRIGHT:
		(c) 2003 Eugene G. Crosser <crosser@average.org>
	LICENSE:
		The same set as apply to Zmailer code
*/

#ifndef RTCONFIG_H
#define RTCONFIG_H

typedef struct _clamav_cfg {
	struct cl_node *root;
	char *dbdir;
	char *finaldbdir;
	int scantext;
	int filescan;
	unsigned int clamopts;
	struct cl_limits limits;
	struct cl_stat dbstat;
} clamav_cfg_t;

extern clamav_cfg_t *
clamav_config(char *fn);

#endif
